DORMANTno replies

[TG PATCH] depend: Fix help listing

From: Jonas Fonseca <hidden>
Date: 2016-06-15 22:45:24
Subsystem: the rest · Maintainer: Linus Torvalds

Without this `tg help depend` causes all kinds of trouble such as adding
empty lines to .topdeps.

Signed-off-by: Jonas Fonseca <redacted>

---
 tg-depend.sh |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)
diff --git a/tg-depend.sh b/tg-depend.sh
index af78808..498eec4 100644
--- a/tg-depend.sh
+++ b/tg-depend.sh
@@ -9,6 +9,10 @@ name=
 ## Parse options
 
 subcmd="$1"; shift
+[ "$subcmd" = "-h" ] && {
+	echo "Usage: tg [...] depend add NAME" >&2
+	exit 1
+}
 [ "$subcmd" = "add" ] || die "unknown subcommand ($subcmd)"
 
 while [ -n "$1" ]; do
-- 
tg: (212809f..) jf/depend-help (depends on: master)

-- 
Jonas Fonseca
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help